<?php
 
define('_AVAILABLE_FILTERS','Available Segments');
define('_SAVE','Save');
define('_CREATE_NEW_FILTER','Create New Filter');
define('_LOGAHOLIC_FILTERS','Logaholic Segmentation');
define('_EDIT_FILTER','Edit Filter');
define('_DELETE_FILTER','Delete Filter');
define('_MARKETING_CAMPAIGNS','Marketing Campaigns');
define('_TRAFFIC_SOURCES','Traffic Sources');
define('_GEOGRAPHIC_SEGMENTS','Geographic Segments');
define('_SEGMENTS','Other Segments');
define('_FILTER_NAME','Segment Name');
define('_FILTER_CATEGORY','Segment Category');
define('_ADD_NEW_CATEGORY','Add New Category');
define('_NEW_CATEGORY','New Category');
define('_FILTER_STATISTICS_TO_INCLUDE_VISITORS','Filter statistics to only include visitors that match');
define('_ANY_OF_FOLLOWING_CRITERIA','ANY of the following criteria');
define('_ALL_OF_FOLLOWING_CRITERIA','ALL of the following criteria');
define('_FIELD','Field');
define('_CONDITION','Condition');
define('_CONTAINS','Contains');
define('_DOES_NOT_CONTAIN','Does Not Contain');
define('_DOES_NOT_START_WITH','Does Not Start With');
define('_STARTS_WITH','Starts With');
define('_ENDS_WITH','Ends With');
define('_IS_SELECT','Is');
define('_IS_NOT','Is Not');
define('_DELETED_FILTER','Deleted Filter');
define('_DEFINE_A_GROUP_OF_VISITORS','When you create a <b><i>"segment"</i></b>, you define a <b>GROUP OF VISITORS</b>. You can do that by creating a Filter that defines which visitors should be in your group. In many Logaholic reports, you\'ll be able to choose a segment so you can easily see and compare statsistics for just that group of visitors.<P>');
define('_FILTER_INFO_AND_EXPLAIN','<b>Filter Info</b><br>Using filters, you can categorize/segment/group your visitors in almost any way you want.<P>For example, you can use this to define your marketing campaings. Let\'s say you are advertsing somewhere and would like to look at statistics for the group of people that came from a certain ad or website. To do that you can set up a filter to match a unique landing page or the referring url ...<P>');
define('_LIST_OF_AVAILABLE_FIELDS','Here is a list of available fields you can use to create a filter:<P>

   <b>ipnumber:</b> The IP address of the visitor<P>
   <b>visitorid:</b> The VisitorID of the visitor<P>
   <b>url:</b> The page name requested, i.e. "/index.html"<P>
   <b>params:</b> The parameters added to the page, i.e. "?variable=xxx"<P>
   <b>referrer:</b> The URL of the referring page, i.e. "http://www.example.com/links.php"<P>
   <b>refparams:</b> The parameters present in the referring url, i.e. "?affiliateid=xxx"<P>
   <b>useragent:</b> The browser name and OS of the visitor, i.e. "Internet Explorer 6.0 on Windows XP (NT 5.1)"<P>
   <b>keywords:</b> The keyword used to find your site at search engines.<P>
   <b>country:</b> The country CODE a visitor is from, i.e. "US"<P>');
define('_UNNAMED_FILTER','Unnamed Filter');
define('_NEW_FILTER_SAVED','New Filter Saved');
define('_PROBLEM_NOTHING_TO_SAVE','<b>Problem:</b> Nothing to save, please add conditions in the form');
define('_FILTER_UPDATED','Filter Updated');
define('_PLEASE_NOTE_KNOWN_PROBLEM','Please note, known problem:<p>
    Using "Does not contain" conditions with fields other than Country or Ipnumber will produce inaccurate results. A fix will be published soon.');
?>
