<?php
 
//labels
define('_TODAY_OVERVIEW','Today Overview');
define('_VISITORS_PER_DAY','Visitors per Day');
define('_VISITORS_PER_MONTH','Visitors per Month');
define('_VISITORS_PER_HOUR','Visitors per Hour');
define('_DAYS_OF_THE_WEEK','Days of the Week');
define('_TOP_COUNTRIES_CITIES','Top Countries / Cities');
define('_TOP_COUNTRIES','Top Countries');
define('_MOST_ACTIVE_USERS','Most Active Users');
define('_RECENT_VISITORS','Recent Visitors');
define('_AUTHENTICATED_VISITORS','Authenticated Visitors');
define('_VISITORS_AND_VISITS','Visitors and Visits');
define('_VISIT_DURATION','Visit Duration');
define('_TOTAL_DURATION','Total Duration');
define('_TOP_PAGES','Top Pages');
define('_TOP_PAGES_DETAILS','Top Pages - Details');
define('_TOP_FEEDS','Top Feeds');
define('_FEEDBURNER','FeedBurner Stats');
define('_TOP_ENTRY_PAGES','Top Entry Pages');
define('_TOP_EXIT_PAGES','Top Exit Pages');
define('_TOP_CLICK_PATHS','Top Click Paths');
define('_INTERNAL_SITE_SEARCH','Internal Site Search');
define('_TOP_REFERRERS','Top Referrers');
define('_TOP_REFERRERS_DETAILS','Top Referrers - Details');
define('_TOP_KEYWORDS_DETAILS','Top Keywords - Details');
define('_SEARCH_ENGINES','Search Engines');
define('_GOOGLE_RANKINGS','Google Rankings');
define('_MOST_ACTIVE_CRAWLERS','Most Active Crawlers');
define('_MOST_CRAWLED_PAGES','Most Crawled Pages');
define('_BROWSERS','Browsers');
define('_USER_AGENTS','User Agents');
define('_MOBILE_AGENTS','Mobile User Agents');  
define('_OPERATING_SYSTEMS','Operating Systems');
define('_SCREEN_RESOLUTION','Screen Resolution');
define('_COLOR_PALETTE','Color Palette');
define('_ALL_TRAFFIC_BY_DAY','All Traffic by Day');
define('_ALL_TRAFFIC_BY_MONTH','All Traffic by Month');
define('_ALL_TRAFFIC_BY_HOUR','All Traffic by Hour');
define('_OVERALL_PERFORMANCE','Overall Performance');
define('_TODAY_TRENDS','Today Trends');
define('_PERFORMANCE_TODAY','Performance Today');
define('_PERFORMANCE_THIS_MONTH','Performance This Month');
define('_TODAYS_TOP_PAGES','Today\'s Top Pages');
define('_TODAYS_TOP_KEYWORDS','Today\'s Top Keywords');
define('_TODAYS_TOP_REFERRERS','Today\'s Top Referrers');
define('_TODAYS_TOP_COUNTRIES','Today\'s Top Countries'); 
define('_TODAYS_TOP_VISITORS','Today\'s Top Visitors');
define('_TIME_ON_SITE_TODAY','Time on Site Today');
define('_DETAILED_REFERRER_REPORT','Detailed Referrer Report');
define('_REFERRER_DETAIL_REPORT','Referrer Detail Report');
define('_SUMMARY_OVERVIEW','Summary Overview');
define('_VISITOR_DETAILS','Visitor Details');
define('_POPULAR_CONTENT','Popular Content');
define('_INCOMING_TRAFFIC','Incoming Traffic');
define('_CLIENT_SYSTEM','Client System');
define('_VARIOUS','Various');
define('_PAGE_CONVERSION','Page Conversion');
define('_REFERRER_CONVERSION','Referrer Conversion');
define('_KEYWORD_CONVERSION','Keyword Conversion');
define('_EXPAND_ALL','Expand All');
define('_RESTORE','Restore');

//parts for whole help
define('_DEFINITIONS_FOR_THIS_REPORT','Definitions for this report');
define('_VISITORS_DEFINITION','Visitors: Unique Visitors that accessed your site (excluding any bots and crawlers).');
define('_VISITS_DEFINITION','Visits: The total number of visits people made to your site');
define('_VISITS_PER_USER_DEFINITION','Visits per user: The average number of times one users visits your site (the total number of visits devided by the number of visitors).');
define('_TIME_SPENT_SESSION_DEFINITION','Time Spent: How long do your visitors stay on your site in one session/visit.');
define('_TIME_SPENT_TOTAL_DEFINITION','Time Spent: How long do your visitors stay on your site in total (all visits in Date range).');
define('_VISIT_SHARE_DEFINITION','Visit Share: The percentage of visitors that fall into this visit time range.');
define('_AVERAGE_DURATION_DEFINITION','Average Duration in minutes: The average duration for this visit time range.');
define('_PAGEVIEWS_DEFINITION','Pageviews: The total number of pages requested (excluding any bots and crawlers).');
define('_AVERAGE_PAGES_PER_USER_DEFINITION','Average Pages per user: The total number of pages devided by the number of visitors.');
define('_VISITORS_PER_MONTH_TIP','Tip: Make sure you set a proper date range (e.g. start from the first day of a month).');
define('_PAGES_PER_USER_DEFINITION','Pages per user: The total number of pages devided by the number of visitors.');
define('_VISITORS_PER_HOUR_TIP','Tip: When viewing more than one day, keep in mind that you are seeing summed up totals for that hour for each day in your date range.');
define('_PAGE_DEFINITION','Page: The requested page, excluding any parameters (e.g. ?variable=1)');
define('_UNIQUE_IDS_DEFINITION','Unique ID\'s: The total number of visitors (including human and bot/crawler)');
define('_TOTAL_REQUESTS_DEFINITION','Total requests: The total number of times this page was requested.');
define('_CRAWLED_PERC_DEFINITION','Crawled %: The percentage of requests that were generated by bots or crawlers (like the googlebot indexer).');
define('_VISITORS_RSS_DEFINITION','Visitors: Unique Visitor ID\'s that requested this feed page.');
define('_RSS_NOTICE','Please Note:<br>Since your Feeds can be requested automatically through RSS readers and syndication services, these statistics are not as straightforward as they may seem. First of all, in the case of Feeds, a Unique Visitor could also be described as \'Active direct subscribers during this date range\'. But, if your feeds are syndicated (redistributed via another site or service), those requests will only produce one \'unique visitor\' in this report and that does not tell you how many PEOPLE saw your feed content.<br>');
define('_HITS_DEFINITION','Hits: The number of times someone clicked to your site via this referring URL.');
define('_REFERRER_DEFINITION','Referrer: The external referring page, excluding parameters (This page has a link to your site!).');
define('_LANDING_PAGE_DEFINITION','Landing Page: A page on your site that was the target of the external link.<br>'); define('_LANDING_PAGE_REF_CAUTION','<b><font color=red>CAUTION:</font></b> the Landing Page listed below does not have to be the only page the referrer can link to. A more acturate description would be \'A recent landing page for this referrer\'.');
define('_LANDING_PAGE_KEY_CAUTION','<b><font color=red>CAUTION:</font></b> the Landing Page listed below does not have to be the only page the referrer can link to. A more acturate description would be \'A recent landing page for this keyword\'. For more accurate landing pages, check the Top Keyword Details report.');
define('_NO_INTERNAL_SITE_SEARCH_FOUND','If you have a search feature on your website, please enter a Search Page above to define which page and parameter on your website handles internal search queries. Your search form method must be set to \'GET\' in order for this feature to work.');
define('_HITS_KEYWORDS_DEFINITION','Hits: The number of times someone clicked to your site using this keyword search.');
define('_KEYWORDS_DEFINITION','Keywords: The keywords that were used to find your site.');
define('_REFERRER_SEARCH_DEFINITION','Referrer: The referring search engine.');
define('_REQUESTS_DEFINITION','Requests: The total number of requests (pageviews) made by this IP number.');
define('_IP_NUMBER_DEFINITION','IP Number: The IP number of the computer connecting to your website (the visitor).');
define('_COUNTRY_DEFINITION','Country: The Country that this IP number originates from (GeoIP data must be installed and you must run \'Geo Update\' before this information is available).');
define('_MEGABYTE_DEFINITION','The number of megabytes transferred for this user.');
define('_USERID_DEFINITION','UserID: The authenticated username.');
define('_REQUESTS_BOTS_DEFINITION','Requests: The total number of requests (pageviews) made by this crawler or bot.');
define('_USER_AGENT_DEFINITION','User Agent: Bots and crawlers are identified by the information in User Agent. Logaholic captures most bots, but if the bot uses a regular browser useragent (e.g \'Mozilla/MSIE6.0\'), Logaholic may not identify it as a crawler/bot.');
define('_CRAWLERS_EXPLANATION','Bots and Crawlers are software programs that visit your web site. They act as normal visitors, following links on your pages. Since requests generated by bots are not actually viewed by a human, these requests are not included in reports where logaholic lists Pageviews or Visitors.<P>The most common crawler that will visit your site is called Googlebot (in various variations). When you see activity from Googlebot on your site, be happy! It is indexing your webpages for inclusion in the Goolge Search engine! By the way, \'Mediapartners-Google\' is the crawler Google Adsense uses to determine relevant ads for your webpage.<p>You can use this report to find out if search engine crawlers (also called spiders) can find all your pages. If you don\'t see any activity on pages you want indexed, check to see if there are enough regular links leading to that section of your site.<P>Good Bot, Bad Bot ...<P>Some bots you want on your site, like Google\'s. But others may have shady intentions, like automatically ripping your site content or spambots searching for email addresses. Some Bots like \'Snoopy\' are software programs anyone can run, so keep an eye out for bots that may be putting an unnessesary load on your server. Any Bot, good or bad, can cause havok on your server if it gets caught in a loop.<P><strong>Tip:</strong> Click the user agent to see all the details of the crawlers\' activity on your site!');
define('_BOTS_DEFINITION','Bots: The number of bots/crawler programs that visited this page on your site.');
define('_PAGEVIEWS_BOTS_DEFINITION','Pageviews: The total number of times this page was requested by a bot.');
define('_VISITORS_BROWSERS_DEFINITION','Visitors: The number of visitors with browsers of this type.');
define('_BROWSER_DEFINITION','Browser: the Browser name.');
define('_BROWSER_TIP_PART1','Tip: Move your mouse over the number of requests, a tooltip will appear containing the percentage share of the selected browser/os. (This works in all reports, by the way ;-)<P>Also check the');
define('_BROWSER_TIP_PART2','Report for more browser details.');
define('_VISITORS_OS_DEFINITION','Visitors: The number of visitors with operating systems of this type.');
define('_OS_DEFINITION','Operating System: the OS name.');
define('_OS_TIP_PART1','Tip: Move your mouse over the number of requests, a tooltip will appear containing the percentage share of the selected browser/os. (This works in all reports, by the way ;-)<P>Also check the');
define('_OS_TIP_PART2','Report for more browser details.');
define('_SCREEN_RESOLUTION_DEFINITION','Screen Resolution: The width x height of the screen in pixels.');
define('_VISITS_SCREENRES_DEFINITION','Visits: The total number of visits with this screen resolution.');
define('_BASED_ON_JS_INFO','This information is only available if you use Javascript tags to collect statistics (see Data Collection tab in profile), or have live cookie tracking set up (see Advanced tab in profile).');
define('_COLOR_DEPTH_DEFINITION_PART1','Color Depth: this describes the number of bits used to represent the color of a single pixel. Higher color depth gives a broader range of distinct colors. Read more about');
define('_COLOR_DEPTH_DEFINITION_PART2','here.');
define('_VISITS_COLORDEPTH_DEFINITION','Visits: The total number of visits with this color depth.');
define('_MAKE_SURE_DATE_RANGE','Tip: Make sure you set a proper date range (e.g. select 7 , 14 or 21 days .. always a full week).');
define('_PAGE_TOPENTRYPAGES_DEFINITION','Page: The first page a person requested on your site (in this daterange)');
define('_VISITORS_TOPENTRYPAGES_DEFINITION','Visitors: Unique Visitors that accessed the page.');
define('_PAGEVIEWS_TOPENTRYPAGES_DEFINITION','Pageviews: The total number of times the page was requested.');
define('_EXITS_DEFINITION','Exits: The total number of times this page was the last requested one (in this daterange).');
define('_COUNTRY_TIP','GeoIP data must be installed and you must run \'Geo Update\' before this information is available.<P><b>Tip: Click the Country to drill down to the City Level.</b>');
define('_INSTALL_UPDATE_GEO','GeoIP data must be installed and you must run \'Geo Update\' before this information is available.');
define('_REQUESTS_OP_DEFINITION','Requests: The number of times the Target File was requested from your server');
define('_VISITORS_OP_DEFINITION','Visitors: Unique Visitors that accessed the target file.');
define('_PAGE_OP_DEFINITION','Page: The target file that was requested. Only files that were accessed in this date range are displayed.');
define('_CONVERSION_PERC_DEFINITION','Conversion %: Your site-wide conversion rate for this target file. The conversion rate is the percentage of total visitors to your site that requested the target file (indicating a conversion has taken place).');
define('_OP_CAUTION','<strong>Important notes:</strong><br>You must enter target files in your profile settings before this report can produce any results.<P>This report is intended to give you an indication of the overall performance of your site in terms of conversion (sales, signups, downloads, whatever). Conversion rates listed here are \'site-wide\', meaning they measure conversion over all the visitors that accessed your site, regardless of which the pages they viewed.<P>Often, you will need detailed conversion statistics to improve your site. In this case, check the Page, Referrer and keyword conversion reports for accurate, specific conversion rates.');
define('_UNIQUE_IP_DEFINITION','Unique IP: the number of IP numbers that accessed your web site (including bots and crawlers).');
define('_TOTAL_PAGES_DEFINITION','Total Pages: the total number of times a page or file was requested on your server.');
define('_VIEWED_PAGES_DEFINITION','Viewed Pages: The number of times a page or file was requested by a human being. This includes Files Not Found, redirects and other errors.');
define('_MEGABYTES_ALLTRAFFICDAY_DEFINITION','Megabytes: This is how much data was approximately sent by your website while serving the pages and files included in Logaholic. <strong>Note:</strong> This is NOT bandwidth usage, you cannot use this figure to determine how much bandwidth you have consumed. Since logaholic skips image files by default a lot of data (the bytes that make up your images) are not included in this report.');
define('_PAGES_PER_IP_DEFINITION','Pages per IP: The average number of files requested per IP number.');
define('_ALL_TRAFFIC_BY_DAY_NOTE','<strong>Note:</strong><p>The main difference between this report and the \'Visitors Per Day\' report is that \'Visitors Per Day\' only counts humans and successful requests (HTTP status 200). If you want to see details on error pages, please check the Error Report.');
define('_ALL_TRAFFIC_BY_MONTH_NOTE','<strong>Note: </strong><p>The main difference between this report and the \'Visitors Per Month\' report is that \'Visitors Per Month\' only counts humans and successful requests (HTTP status 200). If you want to see details on error pages, please check the Error Report.');
define('_STATUS_DEFINITION','Status: the HTTP status code provided by the webserver.');
define('_ERROR_DESCRIPTION_DEFINITION','Description: The description of the Status Code.');
define('_VIEWED_PAGES_ERROR_DEFINITION','Viewed Pages: The number of times an error page or file was requested by a human being.');
define('_CRAWLED_PAGES_ERROR_DEFINITION','Crawled Pages: The number of times an error page or file was requested by a bot, crawler or spider.');
define('_TOTAL_HITS_ERROR_DEFINITION','Total Hits: The sum of all requested files.');
define('_ERROR_NOTE','<strong>Note:</strong><p>Redirected files are listed under this Error Report, but if you are using redirects they are obviously not \'errors\'. However, redirected pages are not \'viewed by humans\' as such, so they are never included in other \'Pageview\' statistics or in the Split Testing tool.<P><strong>Tip:</strong><br> Click on the status code to reveal details on what filenames were requested.');
define('_TOP_CLICK_PATHS_EXPLAIN','This report shows you commonly used click paths (a sequence of pages visited in order).<br>Usually this report is not so useful because users have a choice on each page, making it hard to find many identical paths beyond 2 or 3 steps.<P>You can probably gain a greater insight into your website navigation if you click the <b>Page Analysis</b> tab at the top of the page and follow a few links.<P>');
define('_PATH_DEFINITION','Path: The sequence of pages requested in this order.');
define('_HITS_TOPCLICKPATHS_DEFINITION','Hits: the number of times this path requested.');
define('_VISITS_SHARE_DEFINITION','Visit Share: The percentage of visitors that fall into this visit time range.');
define('_BROWSER_TIP_1','Move your mouse over the number of requests, a tooltip will appear containing the percentage share of the selected browser/os. (This works in all reports, by the way ;-)

Also check the');
define('_BROWSER_TIP_2','Report for more browser details.');
define('_ONLY_WORKS_WITH_MYSQL_4_PLUS','Sorry, this reports only works with Mysql 4.0 or higer, your are using');

// text in uppercase starting with an underscore is a constant, which has been made above
// whole help
define('_VISITORS_AND_VISITS_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._VISITORS_DEFINITION.'<li>'._VISITS_DEFINITION.'<li>'._VISITS_PER_USER_DEFINITION.'</ul>');

define('_VISIT_DURATION_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._TIME_SPENT_SESSION_DEFINITION.'<li>'._VISITS_SHARE_DEFINITION.'<li>'._AVERAGE_DURATION_DEFINITION.'</ul>');
        
define('_TOTAL_DURATION_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._TIME_SPENT_TOTAL_DEFINITION.'<li>'._VISIT_SHARE_DEFINITION.'<li>'._VISITORS_DEFINITION.'<li>'._AVERAGE_DURATION_DEFINITION.'</ul>');
        
define('_TIME_ON_SITE_TODAY_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._TIME_SPENT_TOTAL_DEFINITION.'<li>'._VISIT_SHARE_DEFINITION.'<li>'._VISITORS_DEFINITION.'<li>'._AVERAGE_DURATION_DEFINITION.'</ul>');
        
define('_VISITORS_PER_DAY_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._VISITORS_DEFINITION.'<li>'._PAGEVIEWS_DEFINITION.'<li>'._AVERAGE_PAGES_PER_USER_DEFINITION.'</ul>');
        
define('_VISITORS_PER_MONTH_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._VISITORS_DEFINITION.'<li>'._PAGEVIEWS_DEFINITION.'<li>'._AVERAGE_PAGES_PER_USER_DEFINITION.'</ul><div class=\'indentbody\'>'._VISITORS_PER_MONTH_TIP.'</div>');
        
define('_VISITORS_PER_HOUR_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._VISITORS_DEFINITION.'<li>'._PAGEVIEWS_DEFINITION.'<li>'._PAGES_PER_USER_DEFINITION.'</ul><div class=\'indentbody\'>'._VISITORS_PER_HOUR_TIP.'</div>');
        
define('_TODAYS_TOP_PAGES_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._PAGE_DEFINITION.'<li>'._VISITORS_DEFINITION.'<li>'._PAGEVIEWS_DEFINITION.'</ul>');
        
define('_TOP_PAGES_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._PAGE_DEFINITION.'<li>'._VISITORS_DEFINITION.'<li>'._PAGEVIEWS_DEFINITION.'</ul>');
        
define('_TOP_PAGES_DETAILS_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._PAGE_DEFINITION.'<li>'._UNIQUE_IDS_DEFINITION.'<li>'._PAGEVIEWS_DEFINITION.'<li>'._TOTAL_REQUESTS_DEFINITION.'<li>'._CRAWLED_PERC_DEFINITION.'</ul>');
        
define('_TOP_FEEDS_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._PAGE_DEFINITION.'<li>'._VISITORS_RSS_DEFINITION.'<li>'._PAGEVIEWS_DEFINITION.'</ul><br><br>'._RSS_NOTICE);
        
define('_TOP_REFERRERS_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._HITS_DEFINITION.'<li>'._REFERRER_DEFINITION.'<li>'._LANDING_PAGE_DEFINITION.'</ul>');
        
define('_TOP_REFERRERS_DETAILS_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._HITS_DEFINITION.'<li>'._REFERRER_DEFINITION.'<li>'._LANDING_PAGE_DEFINITION.' '._LANDING_PAGE_REF_CAUTION.'<br></ul>');
        
define('_GOOGLE_RANKINGS_DESC','This report shows you on which Google result pages your website was found for any particular keyword within this date range (i.e 1st result page, second result page etc)');
        
define('_INTERNAL_SITE_SEARCH_DESC','This report shows you on which keywords where used on your \'internal search engine\', if you have one. This is important because it shows you what your visitors were looking for once they arrived at your site. This reveals the visitor\'s intent on your website. In other words: What were they looking for?');
        
define('_TOP_KEYWORDS_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._HITS_KEYWORDS_DEFINITION.'<li>'._KEYWORDS_DEFINITION.'<li>'._LANDING_PAGE_DEFINITION.
' '._LANDING_PAGE_KEY_CAUTION.'</ul>');
        
define('_TOP_KEYWORDS_DETAILS_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._REFERRER_SEARCH_DEFINITION.'<li>'._HITS_KEYWORDS_DEFINITION.'<li>'._KEYWORDS_DEFINITION.'<li>'._LANDING_PAGE_DEFINITION.'<br></ul>');
        
define('_MOST_ACTIVE_USERS_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._REQUESTS_DEFINITION.'<li>'._IP_NUMBER_DEFINITION.'<li>'._COUNTRY_DEFINITION.'<li>'._MEGABYTE_DEFINITION.'<br></ul>');
        
define('_RECENT_VISITORS_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._REQUESTS_DEFINITION.'<li>'._IP_NUMBER_DEFINITION.'<li>'._COUNTRY_DEFINITION.'<br></ul>');
        
define('_AUTHENTICATED_VISITORS_DESC','This report will only show information, if you have visitors logging in to your site using a HTTP Authenticated username and/or password.<P>'._DEFINITIONS_FOR_THIS_REPORT.'<ul>'.
'<li>'._REQUESTS_DEFINITION.'<li>'._USERID_DEFINITION.'<li>'._IP_NUMBER_DEFINITION.'<li>'._COUNTRY_DEFINITION.'<br></ul>');
        
define('_MOST_ACTIVE_CRAWLERS_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._REQUESTS_BOTS_DEFINITION.'<li>'._USER_AGENT_DEFINITION.'<li>'._COUNTRY_DEFINITION.'<br></ul><div class=\'indentbody\'>'._CRAWLERS_EXPLANATION.'</div>');
        
define('_MOST_CRAWLED_PAGES_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._PAGE_DEFINITION.'<li>'._BOTS_DEFINITION.'<li>'._PAGEVIEWS_BOTS_DEFINITION.'</ul>');
        
define('_BROWSERS_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._VISITORS_BROWSERS_DEFINITION.'<li>'._BROWSER_DEFINITION.'</ul><div class=\'indentbody\'>'._BROWSER_TIP_1._BROWSER_TIP_2.'</div>');
/*Here comes the link: <a href=trends.php?conf=$profile->profilename&labels=Client%20Browser%20Trends>Client Browser Trends</a>*/
        
define('_OPERATING_SYSTEMS_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._VISITORS_OS_DEFINITION.'<li>'._OS_DEFINITION.'</ul><div class=\'indentbody\'>'._OS_TIP_PART1._OS_TIP_PART2.'</div>');
/*Here comes the link: <a href=trends.php?conf=$profile->profilename&labels=Client%20Browser%20Trends>Client Browser Trends</a>*/
        
define('_SCREEN_RESOLUTION_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._SCREEN_RESOLUTION_DEFINITION.'<li>'._VISITS_SCREENRES_DEFINITION.'</ul><div class=\'indentbody\'>'._BASED_ON_JS_INFO.'</div>');
        
define('_COLOR_PALETTE_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._COLOR_DEPTH_DEFINITION_PART1._COLOR_DEPTH_DEFINITION_PART2.'<li>'._VISITS_COLORDEPTH_DEFINITION.'</ul><div class=\'indentbody\'>'._BASED_ON_JS_INFO.'</div>');
/*Here comes the link: <a target=_new href=\"http://en.wikipedia.org/wiki/Color_depth\">the meaning of color depth</a>*/
        
define('_DAYS_OF_THE_WEEK_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._VISITORS_DEFINITION.'<li>'._PAGEVIEWS_DEFINITION.'</ul><div class=\'indentbody\'>'._MAKE_SURE_DATE_RANGE.'</div>');
        
define('_TOP_ENTRY_PAGES_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._PAGE_TOPENTRYPAGES_DEFINITION.'<li>'._VISITORS_TOPENTRYPAGES_DEFINITION.'<li>'._PAGEVIEWS_TOPENTRYPAGES_DEFINITION.'</ul>');
        
define('_TOP_EXIT_PAGES_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._PAGE_DEFINITION.'<li>'._EXITS_DEFINITION.'</ul>');
        
define('_TODAYS_TOP_COUNTRIES_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._COUNTRY_DEFINITION.'<li>'._VISITORS_DEFINITION.'</ul><div class=\'indentbody\'>'._COUNTRY_TIP.'</div>');
        
define('_TOP_COUNTRIES_CITIES_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._COUNTRY_DEFINITION.'<li>'._VISITORS_DEFINITION.'<li>'._PAGEVIEWS_DEFINITION.'<li>'._AVERAGE_PAGES_PER_USER_DEFINITION.'</ul><div class=\'indentbody\'>'._COUNTRY_TIP.'</div>');
        
define('_TOP_CITIES_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._COUNTRY_DEFINITION.'<li>'._VISITORS_DEFINITION.'<li>'._PAGEVIEWS_DEFINITION.'<li>'._AVERAGE_PAGES_PER_USER_DEFINITION.'</ul><div class=\'indentbody\'>'._INSTALL_UPDATE_GEO.'</div>');
        
define('_OVERALL_PERFORMANCE_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._REQUESTS_OP_DEFINITION.'<li>'._VISITORS_OP_DEFINITION.'<li>'._PAGE_OP_DEFINITION.'<li>'._CONVERSION_PERC_DEFINITION.'</ul><div class=\'indentbody\'>'._OP_CAUTION.'</div>');
        
define('_ALL_TRAFFIC_BY_DAY_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._UNIQUE_IP_DEFINITION.'<li>'._TOTAL_PAGES_DEFINITION.'<li>'._VIEWED_PAGES_DEFINITION.'<li>'._MEGABYTES_ALLTRAFFICDAY_DEFINITION.'<li>'._CRAWLED_PERC_DEFINITION.'<li>'._PAGES_PER_IP_DEFINITION.'</ul><div class=\'indentbody\'>'._ALL_TRAFFIC_BY_DAY_NOTE.'</div>');
        
define('_ALL_TRAFFIC_BY_MONTH_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._UNIQUE_IP_DEFINITION.'<li>'._TOTAL_PAGES_DEFINITION.'<li>'._VIEWED_PAGES_DEFINITION.'<li>'._MEGABYTES_ALLTRAFFICDAY_DEFINITION.'<li>'._CRAWLED_PERC_DEFINITION.'<li>'._PAGES_PER_IP_DEFINITION.'</ul><div class=\'indentbody\'>'._ALL_TRAFFIC_BY_MONTH_NOTE.'</div>');
        
define('_ERROR_REPORT_DESC',_DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._STATUS_DEFINITION.'<li>'._ERROR_DESCRIPTION_DEFINITION.'<li>'._VIEWED_PAGES_ERROR_DEFINITION.'<li>'._CRAWLED_PAGES_ERROR_DEFINITION.'<li>'._TOTAL_HITS_ERROR_DEFINITION.'</ul><div class=\'indentbody\'>'._ERROR_NOTE.'</div>');
        
define('_TOP_CLICK_PATHS_DESC',_TOP_CLICK_PATHS_EXPLAIN._DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>'._PATH_DEFINITION.'<li>'._HITS_TOPCLICKPATHS_DEFINITION.'</ul>');

define('_FEEDBURNER_DESC','These stats come from your Google Feedburner account. You will need to enter your Feedburner URI on the feeds tab when you edit this profile. You will also need to enable the Feedburner Awareness API.<P>'._DEFINITIONS_FOR_THIS_REPORT.':<ul>'.
'<li>Circulation: An approximate measure of the number of individuals for whom your feed has been requested in the 24 hour period described by date.<li>Hits: The exact number of requests for your FeedBurner feed during the 24 hour period described by date<li>Reach: the total number of people who have taken action - viewed or clicked - on the content in a feed.</ul>');
?>
